### Method

# EBookContacts BookIndicesUpdater take_indices

since: 3.50

#### Declaration [src]

    gboolean
    e_book_indices_updater_take_indices (
      EBookIndicesUpdater* self,
      EBookIndices* indices
    )

#### Description [src]

Sets the initial indices to be updated by the `self`. If `NULL`, then unsets them. The function always discards data previously gathered about the involved contacts, regardless whether the indices changed or not.

The function assumes ownership of the `indices`.

Available since: 3.50

#### Parameters

`indices`

  Type: `EBookIndices`

  An `EBookIndices`, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the indices changed.